Subject: bug#28111: closed (Re: bug#28111: qemu testsuite fails)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Sep 2020 18:08:02 +0000

Your bug report

#28111: qemu testsuite fails

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28111: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28111
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28111: qemu testsuite fails
From: Maxim Cournoyer <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: Mathieu Lirzin <[email-masked]>, [email-masked]
Date: Sat, 19 Sep 2020 14:08:38 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) writes:

> Mathieu Lirzin <[email-masked]> skribis:
>
>> Mathieu Lirzin <[email-masked]> writes:
>>
>>> [email-masked] (Ludovic Courtès) writes:
>>>
>>>> Mathieu Lirzin <[email-masked]> skribis:
>>>>
>>>>> My previous snippet didn't include the actual error
>>>>>
>>>>> TEST: tests/test-hmp... (pid=27743)
>>>>>   /arm/hmp/integratorcp:                                               OK
>>>>>   /arm/hmp/nuri: qemu-system-arm: cannot set up guest memory
>>>>> 'exynos4210.dram0': Cannot allocate memory
>>>>> Broken pipe
>>>>> FAIL
>>>>> GTester: last random seed: R02S53adf2b44f1ff46cb48bd55ebce8854c
>>>>> (pid=27751)
>>>>>   /arm/hmp/mps2-an511:                                                 OK
>>>>>   /arm/hmp/verdex:                                                     OK
>>>>>   /arm/hmp/ast2500-evb:                                                OK
>>>>>   /arm/hmp/smdkc210: qemu-system-arm: cannot set up guest memory
>>>>> 'exynos4210.dram0': Cannot allocate memory
>>>>> Broken pipe
>>>>> FAIL
>>>>>
>>>>> I have tried to build QEMU again with the same guix version and succeed.
>>>>> So Like previously reported this is underterministic.
>>>>
>>>> Could the initial error be the result of insufficient memory?
>>>
>>> Maybe.  I don't recall if I was doing something memory intensive while
>>> compiling.  Given that I have 8Gb of RAM and that, QEMU test suite seems
>>> quite greedy.
>>
>> Ohh I think the memory issue might be related to the fact I running the
>> commands from Emacs shell-mode.  I have encoutered a memory issue with
>> Emacs when running ‘guix system build’.  After the compilation process
>> stopped Emacs was still using more than 5Gb of RAM.
>
> Oh yes, that could definitely be the culprit.  :-/
>
> I guess we can close this bug and reopen it if this diagnosis turned out
> to be wrong.
>
> Ludo’.

Closing this stale bug report against QEMU 2.  We have fresher ones
against QEMU 5 :-).

Maxim

Subject: qemu testsuite fails
From: ng0 <[email-masked]>
To: [email-masked]
Date: Wed, 16 Aug 2017 18:53:17 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Maybe this occurs just occasionally, nevertheless worth
reporting. I have no time to look into fixing it right now.

TEST: tests/vhost-user-test... (pid=27813)
/i386/vhost-user/read-guest-mem:                                     OK
/i386/vhost-user/migrate:                                            OK
/i386/vhost-user/multiqueue:                                         OK
/i386/vhost-user/reconnect:                                          OK
/i386/vhost-user/connect-fail:                                       **
ERROR:tests/vhost-user-test.c:809:test_connect_fail: child process (/i386/vhost-user/connect-fail/subprocess [27843]) failed unexpectedly
qemu-system-i386: Failed to set msg fds.
qemu-system-i386: vhost VQ 0 ring restore failed: -1: Input/output error (5)
qemu-system-i386: Failed to set msg fds.
qemu-system-i386: vhost VQ 1 ring restore failed: -1: Input/output error (5)
FAIL
GTester: last random seed: R02S8558f45fe09086531252e03ae246aedb
(pid=27854)
/i386/vhost-user/flags-mismatch:                                     OK

-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org